Package org.eclipse.lemminx.extensions.xinclude

## Class XIncludeDocumentLinkParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.xinclude.XIncludeDocumentLinkParticipant

All Implemented Interfaces:
  `IDocumentLinkParticipant`

    public class XIncludeDocumentLinkParticipant
    extends Object
    implements IDocumentLinkParticipant

Document links that are specific to xi:include

### Constructor Summary

Constructors
`XIncludeDocumentLinkParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findDocumentLinks​(DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)` Find document links of the given XML document.
`void` `findDocumentLinks​(DOMNode parent, DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XIncludeDocumentLinkParticipant

    public XIncludeDocumentLinkParticipant()

### Method Detail

#### findDocumentLinks

    public void findDocumentLinks​(DOMDocument document,
                                  List<org.eclipse.lsp4j.DocumentLink> links)

Description copied from interface: `IDocumentLinkParticipant`
Find document links of the given XML document.

Specified by:
  `findDocumentLinks` in interface `IDocumentLinkParticipant`

#### findDocumentLinks

    public void findDocumentLinks​(DOMNode parent,
                                  DOMDocument document,
                                  List<org.eclipse.lsp4j.DocumentLink> links)